"""
Anyparser CrewAI Integration
"""

from anyparser_core import (
    AnyparserCrawlDirective,
    AnyparserCrawlDirectiveBase,
    AnyparserCrawlResult,
    AnyparserImageReference,
    AnyparserPdfPage,
    AnyparserResultBase,
    AnyparserRobotsTxtDirective,
    AnyparserUrl,
    OcrLanguage,
    OCRPreset,
)
from anyparser_core.options import AnyparserOption

from .base import (
    AnyparserBaseTool,
    AnyparserFormatEnum,
    AnyparserModelEnum,
    EncodingEnum,
)
from .crawler import AnyparserCrawlerTool, StrategyEnum, TraversalScopeEnum
from .file_read import FileReadTool
from .multi_file_read import MultiFileReadTool
from .ocr import AnyparserOCRTool

__all__ = [
    # Base types and enums
    "AnyparserBaseTool",
    "AnyparserFormatEnum",
    "AnyparserModelEnum",
    "EncodingEnum",
    # Tools
    "FileReadTool",
    "MultiFileReadTool",
    "AnyparserOCRTool",
    "AnyparserCrawlerTool",
    # OCR types
    "OcrLanguage",
    "OCRPreset",
    # Crawler types and enums
    "StrategyEnum",
    "TraversalScopeEnum",
    # Anyparser core types
    "AnyparserOption",
    "AnyparserCrawlDirective",
    "AnyparserCrawlDirectiveBase",
    "AnyparserCrawlResult",
    "AnyparserImageReference",
    "AnyparserPdfPage",
    "AnyparserResultBase",
    "AnyparserRobotsTxtDirective",
    "AnyparserUrl",
]

__version__ = "0.0.2"
